Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PUT \
--url https://app.supported.tech/api/user/phone-numbers/sip-trunks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number": "<string>",
"nickname": "<string>",
"sip_username": "<string>",
"sip_password": "<string>",
"sip_address": "<string>",
"sip_calling_format": "<string>",
"inbound_authorization_type": "<string>",
"allowed_inbound_ips": [
{}
],
"country_code": "<string>",
"outbound_proxy": true
}
'import requests
url = "https://app.supported.tech/api/user/phone-numbers/sip-trunks/{id}"
payload = {
"phone_number": "<string>",
"nickname": "<string>",
"sip_username": "<string>",
"sip_password": "<string>",
"sip_address": "<string>",
"sip_calling_format": "<string>",
"inbound_authorization_type": "<string>",
"allowed_inbound_ips": [{}],
"country_code": "<string>",
"outbound_proxy": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '<string>',
nickname: '<string>',
sip_username: '<string>',
sip_password: '<string>',
sip_address: '<string>',
sip_calling_format: '<string>',
inbound_authorization_type: '<string>',
allowed_inbound_ips: [{}],
country_code: '<string>',
outbound_proxy: true
})
};
fetch('https://app.supported.tech/api/user/phone-numbers/sip-trunks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "SIP trunk updated successfully.",
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provider X — Main",
"sip_username": "new_username",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "auth",
"allowed_inbound_ips": null,
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_newtrunkid1",
"outbound_trunk_id": "ST_newtrunkid2",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T12:00:00.000000Z"
}
}
{
"message": "SIP trunk updated successfully.",
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provider X — Main",
"sip_username": "myuser",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "ip",
"allowed_inbound_ips": ["203.0.113.10"],
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_newtrunkid1",
"outbound_trunk_id": "ST_yyyyyyyyyyyy",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T12:00:00.000000Z"
}
}
{
"error": "SIP trunk not found."
}
{
"message": "The given data was invalid.",
"errors": {
"allowed_inbound_ips": ["At least one allowed IP address is required when authorization type is \"ip\"."]
}
}
{
"error": "Failed to update SIP trunk. Please try again or contact support."
}
Update an existing SIP trunk configuration
null to clear it.+e164, e164, or nationalauth or ip. When switching to ip, you must also provide allowed_inbound_ips. When switching to auth, any existing IP whitelist is cleared.inbound_authorization_type is set to ip.{
"message": "SIP trunk updated successfully.",
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provider X — Main",
"sip_username": "new_username",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "auth",
"allowed_inbound_ips": null,
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_newtrunkid1",
"outbound_trunk_id": "ST_newtrunkid2",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T12:00:00.000000Z"
}
}
{
"message": "SIP trunk updated successfully.",
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provider X — Main",
"sip_username": "myuser",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "ip",
"allowed_inbound_ips": ["203.0.113.10"],
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_newtrunkid1",
"outbound_trunk_id": "ST_yyyyyyyyyyyy",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T12:00:00.000000Z"
}
}
{
"error": "SIP trunk not found."
}
{
"message": "The given data was invalid.",
"errors": {
"allowed_inbound_ips": ["At least one allowed IP address is required when authorization type is \"ip\"."]
}
}
{
"error": "Failed to update SIP trunk. Please try again or contact support."
}
| Field changed | Inbound trunk | Outbound trunk |
|---|---|---|
sip_username | Re-created | Re-created |
sip_password | Re-created | Re-created |
sip_address | — | Re-created |
phone_number | Re-created | Re-created |
inbound_authorization_type | Re-created | — |
allowed_inbound_ips | Re-created | — |
outbound_proxy | — | Re-created |
sip_calling_format, country_code are stored locally and do not trigger re-provisioning.